Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxClientConnectorFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxClientConnectorFactory

    class JmxClientConnectorFactory
    extends AbstractFactory

This is the factory for node JmxBuilder.connectorClient. A call to this node returns an insatnce of the JMXConnector interface.

     JmxBuilder.clientConnector (
        protocol:"rmi",
        host:"...",
        port:1099,
        url:"...",
     )

Authors:
  Vladimir Vivien

See Also:

Method Summary
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeArgs, java.util.Map nodeAttribs)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeArgs, java.util.Map nodeAttribs)

Groovy Documentation